Using rxtools but cant upgrade it to the latest due to how low my firmware is

Discussion in '3DS - Flashcards & Custom Firmwares' started by Justkil, Jun 13, 2016.

  1. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    I think im kinda limited in my options seeing as a bought a new 2ds and I got rxtools to work fine on my current set up and have a few cias but the issue I see myself running into in the future is playing games on later firmwares(im on rx-e 6.0) I realize that means that I am running a version prior to 3.0 since my sysnand is the same. I use the profile hack to access emunand but I feel like I need to update for future references but cant get emunand to update without getting the blackscreen. so can anyone recommend any options I could possibly use that wouldnt require too much overhaul for the system. Or possibly tell me the closest version I can get to the latest that would work for my current rxtool limitations
     


  2. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
  3. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    I do have the slot0x25KeyX.bin at the root but I heard I needed a firmware.bin file to which I since added but still have the freezing issue. If i was to upgrade the sysnand what would be the best way to upgrade to 9.2 I wouldnt mind losing the profile hack in order to add menuhax instead.

    Would that be the best option? Or would keeping the 6.0 update only cause more issues in the future?
     
  4. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
  5. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    My current sysnand is 6.0 which caused my custom firmware to mirror it im assuming . when I upgrade to 9.2 it should allow me to update my emunand correct?
     
  6. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
    "6.0.0-11U"? that's probably what your emunand is right now.

    being on 9.2 means you'll also be able to use something else other than rxTools (which you should do once you update to 9.2.0-20), like Luma3DS.
     
    KapuDaKoopa likes this.
  7. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    Ok i was reading the guide and since I already have a cia installer all I would need to do would be to add the sysupdate cia right. And i was considering switching since I heard about rxtools being potentially outdated so If i was to switch would it require as many steps as rxtools and emunand took or would be as simple as changing out folders? I havent seen any guides about switching cfws so I was alittle worried about doing it. Sorry for all the questions by the way im just new to all of this information.
     
  8. sarkwalvein

    sarkwalvein Professional asshole at GBATemp

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,668
    4,651
    Jun 29, 2007
    Germany
    Niedersachsen
    You should be able to update your emunand anyway.
     
  9. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
    if you can install sysUpdater to sysnand, then it's fine however you do it.

    Plailect's guide should tell you how to set up "Luma3DS" when you follow through with it. once you're on 9.2.0-20, you can delete rxTools-related files(usually "rxTools" folder and "rxTools.dat" if they exist).
     
  10. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    ok im not sure about the linking rules on here but I was directed to a website with a bunch of links to the 9.2 update the wording is kind of confusing on which one I actually need with the info that you have my on my current system could you possibly direct me to the right one. Im not sure if im allowed to post the link i was looking at or not
     
  11. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
    please try this one if you can:
    https://github.com/Plailect/Guide/wiki/9.2.0-Update-(rxTools-2.5.2)
     
  12. sarkwalvein

    sarkwalvein Professional asshole at GBATemp

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,668
    4,651
    Jun 29, 2007
    Germany
    Niedersachsen
    Assuming your 2DS is american you need old 3ds usa firmware.
    Assuming you don't want to brick you should confirm your 2ds is american.
     
  13. Tiibz

    Tiibz GBAtemp Regular

    Member
    119
    18
    Aug 22, 2014
    France
    If you currently have rxTools 2.x you can just boot dev mode with it (so in sysNand), Install the sysUpdater and start the update
    You need the updates folder at the root of your card, it should have the 9.2 files
     
  14. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    mine says pasta mode instead of dev I only have one issue now that I have all the files. After I injected fbi to sysnand it doesnt seem to show up when I go into pasta mode is there a issue with my current rxtools or did I possibly inject it wrong

    edit:
    nevermind forgot to put tmd file
     
    Last edited by Justkil, Jun 13, 2016
  15. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
    please don't use rxTools's FBI injection. it uses an older FBI version but also can cause fragmentation in the NAND I believe.

    anyway, once you've got sysUpdater installed in sysnand, and you're in dev/pasta mode, you can update to 9.2.0-20 from there.
     
    astronautlevel likes this.
  16. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    is there another way to get sysupdater on sysnand? I thought using the fbi inject was the only way...which is actually a problem the inject wont work since I think rxtools already removed the health app from sysnand
     
  17. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
    if you read the guide I've linked to a few times, it guides you through injecting into FBI using Decrypt9.

    https://github.com/Plailect/Guide/wiki/9.2.0-Update-(rxTools-2.5.2)

    also note H&S will disappear until you use pasta mode or something, since it has a broken signature now.
     
  18. Tiibz

    Tiibz GBAtemp Regular

    Member
    119
    18
    Aug 22, 2014
    France
    If you have successfully injected FBi you can now Install sysUpdater
    It's not that big of a deal if you've done it with rxTools instead of Decrypt9, now that is done, it's done
     
  19. Queno138

    Queno138 Ravens

    Member
    2,411
    782
    Sep 18, 2010
    Senegal
    Luigi's Dark Mansion
    What about plaisysupdater emunand to 9.x
    Switch over to Luma, confirm its working, and maybe he flash his emunand over his sysnand?
     
  20. Justkil
    OP

    Justkil Member

    Newcomer
    41
    0
    Jun 13, 2016
    United States
    the sysupdate finished but its not rebooting... luckily its still under warranty